Bug 646186 - maxima-runtime-cmucl: missing cmucl dependency
Summary: maxima-runtime-cmucl: missing cmucl dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: maxima
Version: 14
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-24 21:36 UTC by Pascal Dupuis
Modified: 2010-11-21 22:02 UTC (History)
3 users (show)

Fixed In Version: maxima-5.22.1-5.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-21 21:53:22 UTC
Type: ---


Attachments (Terms of Use)

Description Pascal Dupuis 2010-10-24 21:36:33 UTC
Description of problem: I just installed maxima-runtime-cmucl-5.21.1-3.fc14.i686,
launched it, to get the error message: /usr/lib/cmucl/bin/lisp: no such file

By default, maxima depends upon
maxima-runtime-cmucl-5.21.1-3.fc14.i686

But I had to install cmucl manually to get this runtime working. It is possible to add a depency of cmucl (cmucl-20a-1.fc13.i686) into maxima-runtime-cmucl-5.21.1-3.fc14.i686 ?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. yum -y install maxima
2.
3.
  
Regards

Pascal Dupuis

Comment 1 Rex Dieter 2010-10-24 23:21:27 UTC
you probably want to use maxima-runtime-sbcl anyway (which should be the default.  the -cmucl backend seems to have some problems, and will likely be dropped in the near future.

Comment 2 Pascal Dupuis 2010-10-25 18:51:39 UTC
Strange. A 'yum deplist maxima' lists indeed  'maxima-runtime-sbcl' as first dependency, yet when I installed 'maxima', yum picked maxima-runtime-cmucl as run-time engine.

Regards

Pascal

Comment 3 Rex Dieter 2010-10-25 18:56:55 UTC
Yeah, I think it's an interesting quirk of yum's depsolving, that -runtime-cmucl has less dependencies to pull in, so *sometimes* gets preferred.

Newer builds will now have a hard dependency on the default runtime (sbcl).

Comment 4 Pascal Dupuis 2010-10-25 19:12:18 UTC
OK. Thank you. Feel free to close it.

Comment 5 Fedora Update System 2010-11-05 15:56:30 UTC
maxima-5.22.1-5.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/maxima-5.22.1-5.fc13

Comment 6 Fedora Update System 2010-11-05 15:58:49 UTC
maxima-5.22.1-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/maxima-5.22.1-5.fc14

Comment 7 Fedora Update System 2010-11-05 22:57:10 UTC
maxima-5.22.1-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update maxima'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/maxima-5.22.1-5.fc13

Comment 8 Fedora Update System 2010-11-21 21:53:09 UTC
maxima-5.22.1-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-11-21 22:02:02 UTC
maxima-5.22.1-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.